<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/commonui_dialog_bg"
    android:paddingBottom="30dp"
    app:layout_constraintTop_toTopOf="parent">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/top_close_btn"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"
        android:src="@drawable/common_close_ic"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <!--标题-->
    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="30dp"
        android:gravity="center"
        android:includeFontPadding="false"
        android:text="@string/room_gift_diamond_less"
        android:textColor="@color/color_FF4E5969"
        android:textSize="16sp"
        app:fontFamily="@font/poppins_semibold"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:gravity="center"
        android:includeFontPadding="false"
        android:textColor="@color/color_FF4E5969"
        android:textSize="14sp"
        app:fontFamily="@font/poppins_semibold"
        app:layout_constraintTop_toBottomOf="@id/tv_title"
        tools:text="@string/room_gift_coin_available" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_exchanged"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:gravity="center"
        android:includeFontPadding="false"
        android:textColor="@color/color_FF4E5969"
        android:textSize="11sp"
        app:layout_constraintTop_toBottomOf="@id/tv_content"
        tools:text="@string/room_gift_exchange_rate" />

    <!--确定-->
    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_confirm"
        android:layout_width="0dp"
        android:layout_height="36dp"
        android:layout_marginHorizontal="50dp"
        android:layout_marginTop="16dp"
        app:button_radius="22dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_exchanged"
        app:layout_constraintWidth_default="spread"
        app:layout_goneMarginTop="20dp"
        app:text="@string/wallet_confirm_convert"
        app:textColor="@color/white"
        app:textSize="14sp" />

    <!--取消-->
    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_cancel"
        android:layout_width="0dp"
        android:layout_height="36dp"
        android:layout_marginHorizontal="50dp"
        android:layout_marginTop="16dp"
        app:button_radius="22dp"
        app:common_button_type="cancel"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/btn_confirm"
        app:layout_goneMarginTop="20dp"
        app:text="@string/commonui_cancel"
        app:textColor="@color/color_FF4E5969"
        app:textSize="14sp" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_never_remind"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="20dp"
        android:layout_marginTop="16dp"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/btn_cancel">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_never_remind"
            android:layout_width="14dp"
            android:layout_height="14dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_check_unselected_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_never_remind"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:gravity="start"
            android:includeFontPadding="false"
            android:text="@string/room_gift_exchange_never_remind_today"
            android:textColor="@color/color_FF4E5969"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/iv_never_remind"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>